# Inject the right home-manager config for the machine.

{ config, pkgs, lib, ... }:

# TODO can we automate the installation of home-manager ?
# sudo nix-channel --add https://github.com/nix-community/home-manager/archive/release-22.11.tar.gz home-manager
{
  imports = [
   <home-manager/nixos>
  ];

  # Let Home Manager install and manage itself.
  #programs.home-manager.enable = true;

  home-manager.users.mrflos = { pkgs, ... }: {
    home.stateVersion = "22.11";    

    accounts.email.accounts = {
      "mrflos@chmok.net" = {
        realName = "Florian Schmitt";
        userName = "mrflos@chmok.net";
        address = "mrflos@chmok.net";

        primary = true;
        thunderbird = {
          enable = true;
        };
        imap = {
          host = "mail.gandi.net";
          port = 143;
          tls.useStartTls = true;
        };

        smtp = {
          host = "mail.gandi.net";
          port = 587;
          tls.useStartTls = true;
        };
      };
    };

    # programs.git = {
    #   enable = true;
    #   userName = "Florian Schmitt";
    #   userEmail = "mrflos@gmail.com";
    #   extraConfig = {
    #     pull.rebase = true;
    #     init.defaultBranch = "main";
    #   };
    # };
    
    programs.thunderbird = {
      enable = true;
      profiles.default = {
        isDefault = true;
      };
    };
  };

  users.users.mrflos = {
    isNormalUser = true;
    description = "mrflos";
    createHome = true;
    extraGroups = [ "docker" "libvirtd" "lxd" "networkmanager" "wheel" ];
    uid = 1000;
    shell = pkgs.zsh;
  };

  nix.settings.trusted-users = [ "mrflos" ];

  home-manager.useGlobalPkgs = true;
}
